## gkrellm 0.7.5

=== Makefile ===
INSTALLDIR=/usr/local

GTK_INCLUDE = `gtk-config --cflags`
GTK_LIB = `gtk-config --libs`

IMLIB_INCLUDE = `imlib-config --cflags-gdk`
IMLIB_LIB = `imlib-config --libs-gdk`

FLAGS = $(GTK_INCLUDE) $(IMLIB_INCLUDE)
LIBS = $(GTK_LIB) $(IMLIB_LIB) 

CC = gcc -Wall $(CFLAGS) $(FLAGS)

GNOME_PREFIX = `gnome-config --prefix`

OBJS =	main.o gui.o stat.o net.o inet.o meminfo.o clock.o \
	fs.o apm.o sensors.o krell.o chart.o config.o mail.o


gkrellm: $(OBJS)
	$(CC) $(OBJS) -o gkrellm $(LIBS)

static: $(OBJS)
	$(CC) $(OBJS) -o gkrellm.static -static $(LIBS)

install:
	install -c  gkrellm $(INSTALLDIR)/bin/gkrellm

clean:
	rm -f *.o *~ *.bak gkrellm core

IMAGES = pixmaps/bg_bordered.xpm \
	pixmaps/bg_timer.xpm \
	pixmaps/frame_horizontal.xpm \
	pixmaps/bg_chart.xpm \
	pixmaps/chart_grid.xpm  \
	pixmaps/data_in.xpm \
	pixmaps/data_in_etch.xpm \
	pixmaps/data_out.xpm \
	pixmaps/data_out_etch.xpm \
	pixmaps/frame_side.xpm \
	pixmaps/net_leds.xpm \
	pixmaps/decals.xpm \
	pixmaps/decal_mail.xpm \
	pixmaps/bg_panel.xpm \
	pixmaps/krell_meter.xpm \
	pixmaps/krell_meter_fs.xpm \
	pixmaps/krell_meter_mail.xpm \
	pixmaps/bg_spacer.xpm \
	pixmaps/krell_panel.xpm \
	pixmaps/ppp_button.xpm

main.o:	main.c gkrellm.h
gui.o:	gui.c  gkrellm.h
stat.o:	stat.c  gkrellm.h
inet.o: inet.c gkrellm.h
net.o:	net.c  gkrellm.h
meminfo.o: meminfo.c  gkrellm.h
fs.o: fs.c gkrellm.h
apm.o: apm.c gkrellm.h
clock.o: clock.c  gkrellm.h
krell.o: krell.c  gkrellm.h
sensors.o: sensors.c gkrellm.h
chart.o: chart.c  gkrellm.h
config.o: config.c  gkrellm.h $(IMAGES)
mail.o: mail.c gkrellm.h

## gkrellm 1.2.10

=== po/Makefile ===
# Makefile for locale directory

CWD = po
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

LOCALEDIR ?= /usr/share/locale
MSGFMT_OPT ?= -f -v -o

ifeq ($(enable_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in *.mo ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/gkrellm.mo ; done

%.mo: %.po
	$(MSGFMT) $(MSGFMT_OPT) $@ $<

else

all:

install:

endif

clean:
	$(RM) $(FILES_MO)

## gkrellm 2.2.5

=== Makefile ===
# To make GKrellM for different systems, you can simply:
# For Linux:
#	make
# For FreeBSD 2.X:
#	make freebsd2
# For FreeBSD 3.X or later:
#	make freebsd
# For NetBSD 1.5 - 1.6.X
#	make netbsd1
# For NetBSD 2.X
#	make netbsd2
# For OpenBSD
#	make openbsd
# For Darwin / Mac OS X
#   make darwin
# For Solaris 2.x (8 tested so far):
#	make solaris
# For libgtop if you have version 1.1.x installed:
#	make gtop
# For libgtop if you have version 1.0.x installed in /usr/include & /usr/lib,
# uncomment GTOP lines below:
#	make gtop1.0
# or, eg. if libgtop 1.0 is installed in /opt/gnome/include & /opt/gnome/lib
#	make gtop1.0 GTOP_PREFIX=/opt/gnome
#
# Then:
#	make install
# To override default install locations /usr/local/bin and /usr/local/include
# to, for example, /usr/bin and /usr/include:
#    make install INSTALLDIR=/usr/bin INCLUDEDIR=/usr/include
#
# ------------------------------------------------------------------
#  If you want to override the default behaviour for the above simple "make"
#  steps, then uncomment and edit the appropriate lines below.
#
# Default
#--------
EXTRAOBJS = md5c.o
BINMODE = 755

# FreeBSD 2.X
#------------
#SYS_LIBS = -lkvm
#EXTRAOBJS =
#BINMODE = 4111


# FreeBSD 3.X or later
#---------------------
#SYS_LIBS = -lkvm -ldevstat
#EXTRAOBJS =
#BINMODE = 4111

# NetBSD 1.5 - 1.6.X
#------------------
#SYS_LIBS=-lkvm
#EXTRAOBJS =
#MANDIR = $(INSTALLROOT)/man/man1

# NetBSD
#------------------
#SYS_LIBS=-lkvm -lpthread
#EXTRAOBJS =
#MANDIR = $(INSTALLROOT)/man/man1

# OpenBSD
#------------------
#SYS_LIBS=-lkvm -lpthread
#EXTRAOBJS =
#BINMODE=2755

# Solaris 2.x
#------------
#SYS_LIBS = -lkstat -lkvm -ldevinfo
#EXTRAOBJS = md5c.o
#BINMODE=2755
#LOCALEDIR = /usr/local/share/locale

# "make gtop1.0" defaults.  If you don't have gnome or libgtop 1.1.x
# installed, uncomment and edit these if necessary for a libgtop install.
# Or, see below about specifying them on the command line.  These are not
# used if you "make gnome-gtop" or "make gtop".
#-----------------------------------
#GTOP_PREFIX = /usr
#GTOP_INCLUDE = -I$(GTOP_PREFIX)/include
#GTOP_LIBS = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps -lXau
#GTOP_LIBS_D = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps
#export GTOP_INCLUDE GTOP_LIBS GTOP_LIBS_D

VERSION = 2.2.5

INSTALLROOT ?= $(DESTDIR)$(PREFIX)

ifeq ($(INSTALLROOT),)
	INSTALLROOT = /usr/local
endif

INSTALLDIR = $(INSTALLROOT)/bin
SINSTALLDIR ?= $(INSTALLDIR)
MANDIR ?= $(INSTALLROOT)/share/man/man1
SMANDIR ?= $(MANDIR)
MANMODE = 644
MANDIRMODE = 755
INCLUDEDIR = $(INSTALLROOT)/include
INCLUDEMODE = 644
INCLUDEDIRMODE = 755
INSTALL ?= install
PKGCONFIGDIR ?= $(INSTALLROOT)/lib/pkgconfig
LOCALEDIR ?= $(INSTALLROOT)/share/locale

OS_NAME=$(shell uname -s)
OS_RELEASE=$(shell uname -r)

export SYS_LIBS EXTRAOBJS BINMODE
export INSTALLDIR SINSTALLDIR INCLUDEDIR INCLUDEMODE INCLUDEDIRMODE LOCALEDIR
export MANDIR SMANDIR MANDIRMODE MANMODE
export OS_NAME OS_RELEASE

enable_nls=1
debug=0
export enable_nls
export debug

all gkrellm: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} gkrellm)
	(cd server && ${MAKE} gkrellmd)

gkrellm.pc: Makefile
	echo "prefix=$(INSTALLROOT)" > gkrellm.pc
	echo "Name: GKrellM" >> gkrellm.pc
	echo "Description: Extensible GTK system monitoring application" >> gkrellm.pc
	echo "Version: $(VERSION)" >> gkrellm.pc
	echo "Requires: gtk+-2.0 >= 2.0.0" >> gkrellm.pc
	echo "Cflags: -I$(INCLUDEDIR)" >> gkrellm.pc

install: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install)
	(cd server && ${MAKE} install)

uninstall:
	(cd po && ${MAKE} uninstall)
	(cd src && ${MAKE} uninstall)
	(cd server && ${MAKE} uninstall)
	rm -f $(PKGCONFIGDIR)/gkrellm.pc

install_gkrellm.pc:
	$(INSTALL) -d $(PKGCONFIGDIR)
	$(INSTALL) -m $(INCLUDEMODE) -c gkrellm.pc $(PKGCONFIGDIR)

install_darwin: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install STRIP="")
	(cd server && ${MAKE} install STRIP="")

install_freebsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_freebsd)
	(cd server && ${MAKE} install_freebsd)

install_netbsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_netbsd)
	(cd server && ${MAKE} install_netbsd)

install_openbsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_openbsd)
	(cd server && ${MAKE} install_openbsd)

install_solaris: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_solaris)
	(cd server && ${MAKE} install_solaris)

clean:
	(cd po && ${MAKE} clean)
	(cd src && ${MAKE} clean)
	(cd server && ${MAKE} clean)
	rm -f gkrellm.pc

freebsd2:	gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} freebsd2)
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd" gkrellmd )

freebsd3 freebsd4 freebsd5 freebsd: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} freebsd)
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat -lmd" gkrellmd )

darwin: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} GTK_CONFIG=gtk-config STRIP= \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd5 -framework IOKit" \
		LINK_FLAGS="-prebind -Wl,-bind_at_load -framework CoreFoundation -lX11" \
		gkrellm )
	(cd server && ${MAKE} GTK_CONFIG=gtk-config STRIP= \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd5 -framework IOKit" \
		LINK_FLAGS="-prebind -Wl,-bind_at_load -framework CoreFoundation" \
		gkrellmd )

netbsd1: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm" \
		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -Wl,-R/usr/X11R6/lib" \
		gkrellm )
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm" gkrellmd )

netbsd2: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -pthread" \
		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -R/usr/X11R6/lib" \
		gkrellm )
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -pthread" gkrellmd )

openbsd: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} \
		PTHREAD_INC=-I${PREFIX}/include EXTRAOBJS= \
		SYS_LIBS="-lkvm -pthread" gkrellm )
	(cd server && ${MAKE} \
		PTHREAD_INC=-I${PREFIX}/include EXTRAOBJS= \
		SYS_LIBS="-lkvm -pthread" gkrellmd )

solaris: gkrellm.pc
	(cd po && ${MAKE} MSGFMT_OPT="-v -o" \
		LOCALEDIR=/usr/local/share/locale all)
ifeq ($(OS_RELEASE),5.8)
	(cd src && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lresolv -lsocket -lX11 -lintl" \
		LINK_FLAGS="" gkrellm )
	(cd server && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int -DSOLARIS_8" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl -lintl" \
		LINK_FLAGS="" gkrellmd )
else
	(cd src && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lresolv -lsocket -lX11" LINK_FLAGS="" gkrellm )
	(cd server && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl" LINK_FLAGS="" gkrellmd )
endif

gnome-gtop: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} GTOP_PREFIX="\`gnome-config --prefix libgtop\`" \
		GTOP_INCLUDE="\`gnome-config --cflags libgtop\`" \
		GTOP_LIBS="\`gnome-config --libs libgtop\`" \
		SYS_LIBS= gkrellm )
	(cd server && ${MAKE} GTOP_PREFIX="\`gnome-config --prefix libgtop\`" \
		GTOP_INCLUDE="\`gnome-config --cflags libgtop\`" \
		GTOP_LIBS_D="\`gnome-config --libs libgtop\`" \
		SYS_LIBS= gkrellmd )
 
gtop: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} GTOP_INCLUDE="\`libgtop-config --cflags\`" \
		GTOP_LIBS="\`libgtop-config --libs\`" \
		SYS_LIBS="-lXau" gkrellm )
	(cd server && ${MAKE} GTOP_INCLUDE="\`libgtop-config --cflags\`" \
		GTOP_LIBS_D="\`libgtop-config --libs\`" \
		SYS_LIBS= gkrellmd )

gtop1.0: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} gkrellm )
	(cd server && ${MAKE} gkrellmd )

=== po/Makefile ===
# Makefile for locale directory

PACKAGE ?= gkrellm
CWD = po
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

LOCALEDIR ?= /usr/share/locale
MSGFMT_OPT ?= -f -v -o

ifeq ($(enable_nls),yes)
do_nls:=1
endif
ifeq ($(enable_nls),1)
do_nls:=1
endif

ifeq ($(do_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in $(FILES_MO) ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

uninstall:
	for f in $(FILES_MO) ; do \
		rm -f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

%.mo: %.po
	$(MSGFMT) $(MSGFMT_OPT) $@ $<

else

all:

install:

endif

clean:
	$(RM) $(FILES_MO)

=== src/Makefile ===
PACKAGE ?= gkrellm
PKG_CONFIG ?= pkg-config
BINMODE ?= 755

INSTALLROOT ?= $(DESTDIR)$(PREFIX)
ifeq ($(INSTALLROOT),)
	INSTALLROOT = /usr/local
endif

INSTALLDIR ?= $(INSTALLROOT)/bin
INSTALLDIRMODE ?= 755
INCLUDEDIR ?= $(INSTALLROOT)/include
INCLUDEMODE ?= 644
INCLUDEDIRMODE ?= 755
MANDIR ?= $(INSTALLROOT)/share/man/man1
MANMODE ?= 644
MANDIRMODE ?= 755
INSTALL ?= install
LINK_FLAGS ?= -Wl,-E
SMC_LIBS ?= -L/usr/X11R6/lib -lSM -lICE

ifeq ($(without-ssl),1)
	CONFIGURE_ARGS += --without-ssl
endif
ifeq ($(without-ssl),yes)
	CONFIGURE_ARGS += --without-ssl
endif

DUMMY_VAR := $(shell ./configure $(CONFIGURE_ARGS))

HAVE_SSL = $(shell grep -c HAVE_SSL configure.h)

ifeq ($(HAVE_SSL),1)
    SSL_LIBS ?= -lssl -lcrypto
else
    EXTRAOBJS ?= md5c.o
endif

CC ?= gcc
STRIP ?= -s

GKRELLM_INCLUDES = gkrellm.h gkrellm-public-proto.h

PKG_INCLUDE = `$(PKG_CONFIG) --cflags gtk+-2.0 gthread-2.0`

PKG_LIB = `$(PKG_CONFIG) --libs gtk+-2.0 gthread-2.0`

FLAGS = -O2 -I.. $(PKG_INCLUDE) $(GTOP_INCLUDE)
FLAGS+= $(PTHREAD_INC)

LIBS = $(PKG_LIB) $(GTOP_LIBS) $(SMC_LIBS) $(SYS_LIBS) $(SSL_LIBS)

ifeq ($(debug),1)
    FLAGS += -g
endif
ifeq ($(debug),yes)
    FLAGS += -g
endif

ifeq ($(enable_nls),1)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif
ifeq ($(enable_nls),yes)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif

ifneq ($(PACKAGE),gkrellm)
	FLAGS += -DPACKAGE=\"$(PACKAGE)\"
endif

ifeq ($(HAVE_GETADDRINFO),1)
    FLAGS += -DHAVE_GETADDRINFO
endif


override CC += -Wall $(FLAGS)

OBJS =	main.o alerts.o battery.o base64.o clock.o cpu.o disk.o fs.o \
	hostname.o inet.o mail.o mem.o net.o proc.o sensors.o uptime.o \
	chart.o panel.o config.o gui.o krell.o plugins.o pixops.o \
	smbdes.o smbencrypt.o smbmd4.o smbutil.o \
	client.o utils.o winops-x11.o sysdeps-unix.o deprecated.o

all:	gkrellm

gkrellm: $(OBJS) $(EXTRAOBJS)
	$(CC) $(OBJS) $(EXTRAOBJS) -o gkrellm $(LIBS) $(LINK_FLAGS)

static: $(OBJS) $(EXTRAOBJS)
	$(CC) $(OBJS) $(EXTRAOBJS) -o gkrellm.static -static \
		$(LIBS) $(LINK_FLAGS)

freebsd2:
ifeq ($(HAVE_SSL),1)
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm" gkrellm
else
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -lmd" gkrellm
endif

freebsd3 freebsd:
ifeq ($(HAVE_SSL),1)
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat" gkrellm
else
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat -lmd" gkrellm
endif

darwin: 
ifeq ($(HAVE_SSL),1)
	$(MAKE) GTK_CONFIG=gtk-config STRIP= \
		EXTRAOBJS= SYS_LIBS="-lkvm" \
		gkrellm
else
	$(MAKE) GTK_CONFIG=gtk-config STRIP= \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd5" \
		gkrellm
endif

netbsd1:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm" \
		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -Wl,-R/usr/X11R6/lib" \
		gkrellm
netbsd2:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -pthread" \
		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -R/usr/X11R6/lib" \
		gkrellm

openbsd:
	$(MAKE) GTK_CONFIG=gtk-config GTOP_LIBS= SYS_LIBS="-lkvm -pthread" gkrellm

solaris:
	$(MAKE) CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo" gkrellm

install:
	$(INSTALL) -d -m $(INSTALLDIRMODE) $(INSTALLDIR)
	$(INSTALL) -c $(STRIP) -m $(BINMODE) gkrellm $(INSTALLDIR)/$(PACKAGE)
	$(INSTALL) -d -m $(INCLUDEDIRMODE) $(INCLUDEDIR)/gkrellm2
	$(INSTALL) -c -m $(INCLUDEMODE) $(GKRELLM_INCLUDES) $(INCLUDEDIR)/gkrellm2
	$(INSTALL) -d -m $(MANDIRMODE) $(MANDIR)
	$(INSTALL) -c -m $(MANMODE) ../gkrellm.1 $(MANDIR)/$(PACKAGE).1

uninstall:
	rm -f $(INSTALLDIR)/$(PACKAGE)
	rm -rf $(INCLUDEDIR)/gkrellm2
	rm -f $(MANDIR)/$(PACKAGE).1

install_darwin:
	$(MAKE) install STRIP=

install_freebsd:
	$(MAKE) install
	chgrp kmem $(INSTALLDIR)/$(PACKAGE)
	chmod g+s $(INSTALLDIR)/$(PACKAGE)

install_netbsd:
	$(MAKE) MANDIR="$(INSTALLROOT)/man/man1" install

install_openbsd:
	$(MAKE) install
	chgrp kmem $(INSTALLDIR)/$(PACKAGE)
	chmod g+sx $(INSTALLDIR)/$(PACKAGE)

install_solaris:
	$(MAKE) install INSTALL=/usr/ucb/install
	chgrp sys $(INSTALLDIR)/$(PACKAGE)
	chmod g+s $(INSTALLDIR)/$(PACKAGE)  

clean:
	rm -f *.o *~ *.bak configure.h configure.log gkrellm core

IMAGES = \
	../pixmaps/frame_top.xpm \
	../pixmaps/frame_bottom.xpm \
	../pixmaps/frame_left.xpm \
	../pixmaps/frame_right.xpm \
	\
	../pixmaps/button_panel_out.xpm \
	../pixmaps/button_panel_in.xpm \
	../pixmaps/button_meter_out.xpm \
	../pixmaps/button_meter_in.xpm \
	\
	../pixmaps/bg_chart.xpm \
	../pixmaps/bg_grid.xpm  \
	../pixmaps/bg_panel.xpm \
	../pixmaps/bg_meter.xpm \
	\
	../pixmaps/data_in.xpm \
	../pixmaps/data_in_grid.xpm \
	../pixmaps/data_out.xpm \
	../pixmaps/data_out_grid.xpm \
	\
	../pixmaps/net/decal_net_leds.xpm \
	../pixmaps/decal_misc.xpm \
	../pixmaps/decal_alarm.xpm \
	../pixmaps/decal_warn.xpm \
	\
	../pixmaps/krell_panel.xpm \
	../pixmaps/krell_meter.xpm \
	../pixmaps/krell_slider.xpm \
	../pixmaps/krell_mini.xpm \
	../pixmaps/fs/bg_panel.xpm \
	../pixmaps/host/bg_panel.xpm \
	../pixmaps/mail/decal_mail.xpm \
	../pixmaps/mail/krell_mail.xpm \
	../pixmaps/mail/krell_mail_daemon.xpm \
	../pixmaps/timer/bg_panel.xpm \
	../pixmaps/timer/bg_timer.xpm \
	../pixmaps/timer/decal_timer_button.xpm \
	../pixmaps/uptime/bg_panel.xpm \
	\
	../pixmaps/gkrellmms/bg_panel.xpm \
	../pixmaps/gkrellmms/spacer_top.xpm \
	../pixmaps/gkrellmms/spacer_bottom.xpm \
	../pixmaps/gkrellmms/bg_scroll.xpm \
	../pixmaps/pmu/bg_panel.xpm \
	../pixmaps/pmu/spacer_top.xpm \
	../pixmaps/pmu/spacer_bottom.xpm \
	../pixmaps/volume/bg_panel.xpm \
	../pixmaps/volume/spacer_top.xpm \
	../pixmaps/volume/spacer_bottom.xpm \
	../pixmaps/bg_separator.xpm

SYSDEPS_SRC = sysdeps/bsd-common.c sysdeps/bsd-net-open.c sysdeps/freebsd.c \
	sysdeps/gtop.c sysdeps/linux.c sysdeps/netbsd.c sysdeps/openbsd.c \
	sysdeps/solaris.c sysdeps/darwin.c sysdeps/sensors-common.c

GKRELLM_H = gkrellm.h gkrellm-private.h
GKRELLM_H_SYS = gkrellm.h gkrellm-public-proto.h gkrellm-private.h \
	gkrellm-sysdeps.h

main.o:      main.c $(GKRELLM_H)
alerts.o:    alerts.c $(GKRELLM_H)
battery.o:   battery.c $(GKRELLM_H_SYS)
base64.o:    base64.c
clock.o:     clock.c  $(GKRELLM_H_SYS)
cpu.o:	     cpu.c  $(GKRELLM_H_SYS)
disk.o:      disk.c $(GKRELLM_H_SYS)
fs.o:        fs.c $(GKRELLM_H_SYS)
hostname.o:  hostname.c $(GKRELLM_H_SYS)
inet.o:      inet.c $(GKRELLM_H_SYS)
mail.o:      mail.c md5.h md5global.h ntlm.h $(GKRELLM_H_SYS)
md5c.o:      md5.h md5global.h
smbdes.o:    smbdes.h
smbencrypt.o: smbbyteorder.h smbdes.h smbmd4.h
smbmd4.o:    smbmd4.h
smbutil.o:   ntlm.h smbencrypt.h smbbyteorder.h
mem.o:       mem.c  $(GKRELLM_H_SYS)
net.o:	     net.c  $(GKRELLM_H_SYS)
proc.o:      proc.c  $(GKRELLM_H_SYS)
sensors.o:   sensors.c $(GKRELLM_H_SYS) ../pixmaps/sensors/bg_volt.xpm
uptime.o:    uptime.c $(GKRELLM_H_SYS)
chart.o:     chart.c  $(GKRELLM_H)
panel.o:     panel.c  $(GKRELLM_H)
config.o:    config.c  $(GKRELLM_H) $(IMAGES)
krell.o:     krell.c  $(GKRELLM_H)
gui.o:       gui.c  $(GKRELLM_H)
plugins.o:   plugins.c $(GKRELLM_H)
pixops.o:    pixops.c $(GKRELLM_H)
client.o:    client.c $(GKRELLM_H)
utils.o:     utils.c $(GKRELLM_H)
sysdeps-unix.o: sysdeps-unix.c $(GKRELLM_H_SYS) $(SYSDEPS_SRC)
winops-x11.o: winops-x11.c $(GKRELLM_H)
deprecated.o: deprecated.c $(GKRELLM_H)

## gkrellm 2.3.5

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,12 @@
 #	make netbsd2
 # For OpenBSD
 #	make openbsd
-# For Darwin / Mac OS X
-#   make darwin
+# For Darwin < 9.0 / Mac OS X < 10.4
+# 	make darwin
+# For newer Darwin systems
+# 	make darwin9
+# For Mac OS X with Quartz-based Gtk+ (experimental)
+# 	make macosx
 # For Solaris 2.x (8 tested so far):
 #	make solaris
 # For libgtop if you have version 1.1.x installed:
@@ -87,7 +91,7 @@
 #GTOP_LIBS_D = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps
 #export GTOP_INCLUDE GTOP_LIBS GTOP_LIBS_D
 
-VERSION = 2.2.5
+VERSION = 2.3.5
 
 INSTALLROOT ?= $(DESTDIR)$(PREFIX)
 
@@ -104,7 +108,7 @@
 INCLUDEDIR = $(INSTALLROOT)/include
 INCLUDEMODE = 644
 INCLUDEDIRMODE = 755
-INSTALL ?= install
+INSTALL ?= $(shell which install)
 PKGCONFIGDIR ?= $(INSTALLROOT)/lib/pkgconfig
 LOCALEDIR ?= $(INSTALLROOT)/share/locale
 
@@ -125,13 +129,25 @@
 	(cd po && ${MAKE} all)
 	(cd src && ${MAKE} gkrellm)
 	(cd server && ${MAKE} gkrellmd)
+
+# win32 needs a Libs: line and ${prefix} for paths so we install a different
+# pkg-config file than what gets used on unix
+# TODO: move to src/Makefile and install a gkrellmd.pc from server/Makefile
+gkrellm.pc_win: Makefile
+	echo "prefix=$(INSTALLROOT)" > gkrellm.pc
+	echo "Name: GKrellM" >> gkrellm.pc
+	echo "Description: Extensible GTK system monitoring application" >> gkrellm.pc
+	echo "Version: $(VERSION)" >> gkrellm.pc
+	echo "Requires: gtk+-2.0 >= 2.4.0" >> gkrellm.pc
+	echo 'Cflags: -I$${prefix}/include' >> gkrellm.pc
+	echo 'Libs: -L$${prefix}/lib -lgkrellm' >> gkrellm.pc
 
 gkrellm.pc: Makefile
 	echo "prefix=$(INSTALLROOT)" > gkrellm.pc
 	echo "Name: GKrellM" >> gkrellm.pc
 	echo "Description: Extensible GTK system monitoring application" >> gkrellm.pc
 	echo "Version: $(VERSION)" >> gkrellm.pc
-	echo "Requires: gtk+-2.0 >= 2.0.0" >> gkrellm.pc
+	echo "Requires: gtk+-2.0 >= 2.4.0" >> gkrellm.pc
 	echo "Cflags: -I$(INCLUDEDIR)" >> gkrellm.pc
 
 install: install_gkrellm.pc
@@ -149,7 +165,7 @@
 	$(INSTALL) -d $(PKGCONFIGDIR)
 	$(INSTALL) -m $(INCLUDEMODE) -c gkrellm.pc $(PKGCONFIGDIR)
 
-install_darwin: install_gkrellm.pc
+install_darwin install_darwin9 install_macosx: install_gkrellm.pc
 	(cd po && ${MAKE} install)
 	(cd src && ${MAKE} install STRIP="")
 	(cd server && ${MAKE} install STRIP="")
@@ -173,6 +189,11 @@
 	(cd po && ${MAKE} install)
 	(cd src && ${MAKE} install_solaris)
 	(cd server && ${MAKE} install_solaris)
+
+install_windows: install_gkrellm.pc
+	(cd po && ${MAKE} install)
+	(cd src && ${MAKE} install_windows)
+	(cd server && ${MAKE} install_windows)
 
 clean:
 	(cd po && ${MAKE} clean)
@@ -194,30 +215,28 @@
 
 darwin: gkrellm.pc
 	(cd po && ${MAKE} all)
-	(cd src && ${MAKE} GTK_CONFIG=gtk-config STRIP= \
-		EXTRAOBJS= SYS_LIBS="-lkvm -lmd5 -framework IOKit" \
-		LINK_FLAGS="-prebind -Wl,-bind_at_load -framework CoreFoundation -lX11" \
-		gkrellm )
-	(cd server && ${MAKE} GTK_CONFIG=gtk-config STRIP= \
-		EXTRAOBJS= SYS_LIBS="-lkvm -lmd5 -framework IOKit" \
-		LINK_FLAGS="-prebind -Wl,-bind_at_load -framework CoreFoundation" \
-		gkrellmd )
+	(cd src && ${MAKE} darwin)
+	(cd server && ${MAKE} darwin)
+
+darwin9: gkrellm.pc
+	(cd po && ${MAKE} all)
+	(cd src && ${MAKE} darwin9)
+	(cd server && ${MAKE} darwin9)
+
+macosx: gkrellm.pc
+	(cd po && ${MAKE} all)
+	(cd src && ${MAKE} macosx)
+	(cd server && ${MAKE} macosx)
 
 netbsd1: gkrellm.pc
 	(cd po && ${MAKE} all)
-	(cd src && ${MAKE} \
-		EXTRAOBJS= SYS_LIBS="-lkvm" \
-		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -Wl,-R/usr/X11R6/lib" \
-		gkrellm )
+	(cd src && ${MAKE} netbsd1)
 	(cd server && ${MAKE} \
 		EXTRAOBJS= SYS_LIBS="-lkvm" gkrellmd )
 
 netbsd2: gkrellm.pc
 	(cd po && ${MAKE} all)
-	(cd src && ${MAKE} \
-		EXTRAOBJS= SYS_LIBS="-lkvm -pthread" \
-		SMC_LIBS="-L/usr/X11R6/lib -lSM -lICE -R/usr/X11R6/lib" \
-		gkrellm )
+	(cd src && ${MAKE} netbsd2)
 	(cd server && ${MAKE} \
 		EXTRAOBJS= SYS_LIBS="-lkvm -pthread" gkrellmd )
 
@@ -276,3 +295,11 @@
 	(cd src && ${MAKE} gkrellm )
 	(cd server && ${MAKE} gkrellmd )
 
+windows: gkrellm.pc_win
+	(cd po && ${MAKE} LOCALEDIR="share/locale" all)
+	(cd src && ${MAKE} LOCALEDIR="share/locale" windows )
+	(cd server && ${MAKE} LOCALEDIR="share/locale" windows)
+
+msgmerge:
+	(cd po && ${MAKE} messages)
+	(cd po && ${MAKE} merge)

=== debian/changelog ===
gkrellm (2.3.5-5) unstable; urgency=low

  * Upload to unstable
  * 10_fix_glib_underlinkage.patch
    - link against gmodule-2.0, fixing a FTBFS (patch by Daniel T Chen, from
      Ubuntu); thanks to David Suárez for the report; Closes: #713724
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)
    - use canonical VCS URLs

 -- Sandro Tosi <morph@debian.org>  Sat, 29 Jun 2013 23:49:59 +0200

gkrellm (2.3.5-4) experimental; urgency=low

  * debian/patches/06_bts646262_add_format_string_to_syslog_call.patch
    - fix a FTBFS with hardening flags by using a proper format-string to
      syslog() call; thanks to Julian Taylor for the report and to Stefan Gehn
      for the patch; Closes: #646262
  * debian/{control, compat}
    - move to Debhelper 9, in particular to enable hardening flags
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Aug 2012 19:33:47 +0200

gkrellm (2.3.5-3) unstable; urgency=low

  * debian/rules
    - write a proper override for dh_clean; thanks to Christoph Egger for the
      IRC notification
  * debian/gkrellmd.init
    - 'hddtemp' is moved to Should-Start, instead of Required-Start; fix an
      installation error if hddtemp is not there; thanks to Lucas Nussbaum for
      the report; Closes: #640600

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Sep 2011 00:07:49 +0200

gkrellm (2.3.5-2) unstable; urgency=low

  * Upload to unstable
  * debian/gkrellmd.init
    - add 'hddtemp' to the daemons list to start before gkrellmd; thanks to
      Ahmad Khayyat for the report; Closes: #605645
  * gkrellmd.post{inst,rm}
    - use useradd/userdel, available even in minimum systems; thanks to Holger
      Levsen for the report and hints; Closes: #618458
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Aug 2011 21:28:30 +0200

gkrellm (2.3.5-1) experimental; urgency=low

  * New upstream release
    - search for linux sensors directly below hwmon dir; Closes: #592989
  * debian/patches/*
    - refreshed
  * debian/patches/06_bts487275-499831_external_mail_client.patch
    - removed, merged upstream
  * debian/{control, rules}
    - use libsensors4 to read system devices information
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)
    - changed Conflicts with Breaks
  * debian/gkrellmd.init
    - added depends on $remote_fs for both start and stop
  * debian/{source/format, control, rules}
    - set source format to '3.0 (quilt)'
  * debian/copyright
    - updated upstream copyright info

 -- Sandro Tosi <morph@debian.org>  Fri, 22 Oct 2010 00:02:12 +0200

gkrellm (2.3.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches/07_bts554553_FTBFS_binutil-gold.patch
    - removed, merged upstream

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Jan 2010 01:12:02 +0100

gkrellm (2.3.3-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - cleanup gkrellm.ico
  * debian/patches/07_getline.patch
    - removed, fixed upstream
  * debian/gkrellm.lintian-overrides
    - removed override for arch-dep-package-has-big-usr-share, no more needed
  * debian/patches/{04_fix_manpage_hyphen.patch, 
                    06_bts487275-499831_external_mail_client.patch}
    - refreshed
  * debian/copyright
    - extended upstream and packaging copyright years
    - added OpenSSL exception
  * debian/{compat, control, rules}
    - switch to dh7 (bye bye cdbs)
  * debian/patches/07_bts554553_FTBFS_binutil-gold.patch
    - fix the FTBFS with binutil-gold by adding -lX11; thanks to Peter Fritzsche
      for the report; Closes: #554553

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Jan 2010 18:12:10 +0100

gkrellm (2.3.2-5) unstable; urgency=low

  * debian/patches/07_getline.patch
    - added patch to fix a FTBFS with eglibc 2.10; thanks to Ilya Barygin for
      the report and patch (from Ubuntu); Closes: #549405
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/gkrellmd.postrm
    - do not call 'getent' with path (lintian warning)
  * debian/gkrellm.lintian-overrides
    - added to suppress a couple of tags that can't be fixed

 -- Sandro Tosi <morph@debian.org>  Fri, 30 Oct 2009 14:44:19 +0100

gkrellm (2.3.2-4) unstable; urgency=low

  * debian/patches/06_bts487275-499831_external_mail_client.patch
    - fix invoke of external mail reading program (now works only the first
      time); thanks to bug reportes and confirmers and to xeyrion for the patch
      (from Gkrellm mailing list); Closes: #487275, #499831
  * debian/control
    - bump Standards-Version to 3.8.1
      + added debian/README.source
  * debian/patches/*
    - added Author/Description, as suggested by lintian

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Jun 2009 09:29:53 +0200

gkrellm (2.3.2-3) unstable; urgency=low

  * debian/control
    - removed gdk-imlib1-dev since not needed; thanks to Barry deFreese for the
      report; Closes: #508925
  * debian/copyright
    - added my as the corrent packaging copyright holder

 -- Sandro Tosi <morph@debian.org>  Mon, 09 Mar 2009 18:41:29 +0100

gkrellm (2.3.2-2) unstable; urgency=medium

  * debian/gkrellm.install
    - added installation of "log.h" header; thanks to Bradley Smith for the
      report; Closes: #504209

 -- Sandro Tosi <morph@debian.org>  Sat, 01 Nov 2008 20:23:04 +0100

gkrellm (2.3.2-1) unstable; urgency=low

  * Adopting packages; Closes: #494725
  * New upstream release
    - add linux sysfs battery interface, preferred over deprecated /proc/acpi
      interface; Closes: #463779
  * debian/control
    - set me as maintainer (adoption)
    - added Homepage field
    - updated Vcs-{Git,Browser} field
    - changed a bit the descriptions
    - added build-dep on libntlm0-dev, needed by upstream to remove smb* files
  * debian/patches/01_gkrellmd.conf.patch
    - refreshed for new upstream code


=== debian/control ===
Source: gkrellm
Section: x11
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Standards-Version: 3.9.4
Build-Depends: libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9), libsm-dev, x11proto-core-dev, gettext, libgnutls-dev, libntlm0-dev, libsensors4-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/gkrellm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gkrellm.git
Homepage: http://gkrellm.net/

Package: gkrellm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: gkrellm-common
Breaks: gkrellm-common (<= 2.2.7-5), gkrellmd (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: GNU Krell Monitors
 With a single process, gkrellm manages multiple stacked monitors and supports
 applying themes to match the monitors appearance to your window manager, Gtk,
 or any other theme.

Package: gkrellmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Breaks: gkrellm-common (<= 2.2.7-5), gkrellm (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: GNU Krell Monitors Server
 Gkrellmd Listens for connections from gkrellm clients. When a gkrellm client
 connects to a gkrellmd server all builtin monitors collect their data from the
 server.

=== debian/watch ===
version=3
http://members.dslextreme.com/users/billw/gkrellm/gkrellm-([\d\.]*)\.tar\.gz
